Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity
Class DelegatingUserProfileModuleImpl

    java.lang.Object
      org.jboss.portal.identity.service.IdentityModuleService
          org.jboss.portal.identity.service.UserProfileModuleService
              org.jboss.portal.identity.DelegatingUserProfileModuleImpl

All Implemented Interfaces:
  UserProfileModule

    public class DelegatingUserProfileModuleImpl

extends UserProfileModuleService

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Field Summary

Fields inherited from class org.jboss.portal.identity.service.UserProfileModuleService
`profileInfo`

Fields inherited from class org.jboss.portal.identity.service.IdentityModuleService
`moduleType`

Constructor Summary
`DelegatingUserProfileModuleImpl()`

Method Summary
`protected UserProfileModule` | `getDBModule()`
`java.lang.String` | `getDbModuleJNDIName()`
`protected UserProfileModule` | `getLDAPModule()`
`java.lang.String` | `getLdapModuleJNDIName()`
`ProfileInfo` | `getProfileInfo()` Return ProfileInfo object that can be used to obtain PropertyInfo on specific property name.
`java.util.Map` | `getProperties(User user)` Returns all properties related to user
`java.lang.Object` | `getProperty(User user, java.lang.String propertyName)` Returns user property
`boolean` | `isDBSupported()`
`boolean` | `isLDAPSupported()`
`void` | `setDbModule(UserProfileModule dbModule)`
`void` | `setDbModuleJNDIName(java.lang.String dbModuleJNDIName)`
`void` | `setLDAPModule(UserProfileModule LDAPModule)`
`void` | `setLdapModuleJNDIName(java.lang.String ldapModuleJNDIName)`
`void` | `setProperty(User user, java.lang.String name, java.lang.Object propertyValue)` Sets user property.
`void` | `start()`

Methods inherited from class org.jboss.portal.identity.service.UserProfileModuleService
`fireUserProfileChangedEvent, getProfileConfigFile, setProfileConfigFile, setProfileInfo`

Methods inherited from class org.jboss.portal.identity.service.IdentityModuleService
`getConnectionJNDIName, getIdentityConfiguration, getIdentityContext, getIdentityEventBroadcaster, getInitOptions, getJndiBinder, getJNDIName, getModuleType, setConnectionJNDIName, setIdentityContext, setInitOptions, setJndiBinder, setJNDIName, setModuleType, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingUserProfileModuleImpl

    public DelegatingUserProfileModuleImpl()

Method Detail

### start

    public void start()
               throws java.lang.Exception

  Overrides:
    `start` in class `UserProfileModuleService`
  Throws:
    `java.lang.Exception`

### getProperty

    public java.lang.Object getProperty(User user,
                                        java.lang.String propertyName)
                                 throws IdentityException,
                                        java.lang.IllegalArgumentException

  Description copied from interface: `UserProfileModule`
  Returns user property

  Returns:
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### setProperty

    public void setProperty(User user,
                            java.lang.String name,
                            java.lang.Object propertyValue)
                     throws IdentityException,
                            java.lang.IllegalArgumentException

  Description copied from interface: `UserProfileModule`
  Sets user property. If the property value is null the property will be removed.

    `propertyValue` - value
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### getProperties

    public java.util.Map getProperties(User user)
                                throws IdentityException,
                                       java.lang.IllegalArgumentException

  Description copied from interface: `UserProfileModule`
  Returns all properties related to user

  Returns:
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### getProfileInfo

    public ProfileInfo getProfileInfo()
                               throws IdentityException

  Description copied from interface: `UserProfileModule`
  Return ProfileInfo object that can be used to obtain PropertyInfo on specific property name.

  Returns:
  Throws:
    `IdentityException`

### getLdapModuleJNDIName

    public java.lang.String getLdapModuleJNDIName()

### setLdapModuleJNDIName

    public void setLdapModuleJNDIName(java.lang.String ldapModuleJNDIName)

### getDbModuleJNDIName

    public java.lang.String getDbModuleJNDIName()

### setDbModuleJNDIName

    public void setDbModuleJNDIName(java.lang.String dbModuleJNDIName)

### isLDAPSupported

    public boolean isLDAPSupported()

### isDBSupported

    public boolean isDBSupported()

### getDBModule

    protected UserProfileModule getDBModule()
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getLDAPModule

    protected UserProfileModule getLDAPModule()
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setLDAPModule

    public void setLDAPModule(UserProfileModule LDAPModule)

### setDbModule

    public void setDbModule(UserProfileModule dbModule)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD